# This file describes the network interfaces available on your system
# For more information, see netplan(5).
#
#
################################################################################
############################----------README---------###########################
################################################################################
#                                                                              #
# Ensure that eth0 and eth1 are changed if the adapter names differ on the     #
# system being configured.                                                     #
#                                                                              #
# If using DHCP, comment out the addresses, gateway4, nameservers, and         #
# nameservers addresses lines                                                  #
#                                                                              #
# To disable an interface, set both dhcp4 and dhcp6 to false and ensure        #
# the static details lines are commented out.                                  #
#                                                                              #
# Change nameserver addresses to supplied DNS if applicable.                   #
#                                                                              #
# NOTE: networkd is unable to manage wireless networks,                        #
# NetworkManager must be used if wireless networking is required.              #
#                                                                              #
# To apply new network details:  sudo netplan apply                            #
#                                                                              #
# WARNING:                                                                     #
#       - TAB spaces are not allowed!                                          #
#       - Indentation is two spaces only!                                      #
#       - FORMATING is extremely important!                                    #
#       - Backup original config AT ALL TIMES!                                 #
#       - If interface state (Static/DHCP) was not specified, interface        #
#         will not turn on.                                                    #
#                                                                              #
################################################################################
################################################################################


network:
  version: 2

#Interface wifi
  renderer: NetworkManager
  wifis:
    wlxdc627991afb6:
      optional: yes
      dhcp4: true
      dhcp6: false
      access-points:
        "WIFI SSID name":
          password: "wifi password"
